import Vue from 'vue'
import VueRouter from 'vue-router'
import store from '@/store'

import Dashboard from '@/components/Dashboard'
//import DashboardHome from '@/pages/Home'
import Question from '@/pages/Question'
import Document from '@/pages/Document'
import Cycle from '@/pages/Cycle'
import Login from '@/pages/Login'
import DashBoard from '@/pages/DashBoard'
import History from '@/pages/History'

Vue.use(VueRouter);


const originalPush = VueRouter.prototype.push
VueRouter.prototype.push = function push(location, onResolve, onReject) {
  if (onResolve || onReject) return originalPush.call(this, location, onResolve, onReject)
  return originalPush.call(this, location).catch(err => err)
}
// todo 定义无菜单权限得页面， 角色权限页面只会在菜单配置得列表页面，其他都定义在这里如详情页面
// 目前都定义在这里

const { userInfo } = store.getters


const routes = [
  { path: '/', redirect: { name: 'Login' } },
  { path: '/login', name: 'Login', component: Login },

  {
    path: '/pages', name: 'Dashboard', component: Dashboard, children: [
      {
        path: "/document", component: Document, name: 'Documnet'
      },
      {
        path: '/question', name: 'Question', component: Question
      },
      {
        path: '/cycle', name: 'Cycle', component: Cycle
      }
    ]
  },
  { path: '/dashboard', name: 'DashBoard', component: DashBoard },
  { path: '/history', name: 'History', component: History }
]


const createRouter = () => new VueRouter({
  mode: 'hash',
  routes
});


const router = createRouter();

// Detail see: https://github.com/vuejs/vue-router/issues/1234#issuecomment-357941465
export function resetRouter() {
  const newRouter = createRouter();
  router.matcher = newRouter.matcher // reset router
}

export const constantRoutes = routes;
export default router
